Subject: Re: question about altivec registers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 29 Oct 1999 13:58:48 +0200

On Thu, Oct 28, 1999, Tony Mantler <[email-masked]> wrote:

>I think saving registers in a subroutine is a pain no matter how it's
>implemented. If the VRSAVE is used as a count, the subroutine still has to
>save the old value, save the overwritten registers, calculate what the
>proper new value is (think new < old = oops!) then restore the overwritten
>registers and old VRSAVE value when it exits.

In their latest Mac compiler, Metroweks added a pragma for manually
optimising this when you know you'll use a bunch of those registers:

<<
 #pragma altivec_vrsave allon is now supported. It sets VRsave assuming
  that all altivec registers are in use, best used with
  "#pragma altivec_vrsave off" so only the parent routine updates the
  vrsave register.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/